Subject: bug#714: directory-files: Doc string is irritatingly vague wrt sorting.

From: Glenn Morris <[email-masked]>
Date: Fri, 15 Aug 2008 15:14:51 -0400

Alan Mackenzie wrote:

> More importantly, it doesn't state the predicate used for the sorting.
> "Obviously", this will be some sort of alphabetical sort, but this gets
> complicated for mixed case filenames and (more importantly) for character
> sets which aren't vanilla ASCII.

Will saying it uses `string-lessp' be good enough for you? The details
of said function are in the Elisp manual.